org.apache.solr

## Class SolrTestCaseHS

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.solr.SolrTestCaseJ4
      - - org.apache.solr.SolrTestCaseHS

-     @SolrTestCaseJ4.SuppressSSL
      public class SolrTestCaseHS
      extends SolrTestCaseJ4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SolrTestCaseHS.Client`
    `static class` | `SolrTestCaseHS.ClientProvider`
    `static class` | `SolrTestCaseHS.SolrInstance`
    `static class` | `SolrTestCaseHS.SolrInstances`

    - ### Nested classes/interfaces inherited from class org.apache.solr.SolrTestCaseJ4

      `SolrTestCaseJ4.CloudSolrClientBuilder, SolrTestCaseJ4.Doc, SolrTestCaseJ4.Fld, SolrTestCaseJ4.FldType, SolrTestCaseJ4.FVal, SolrTestCaseJ4.IRange, SolrTestCaseJ4.IVals, SolrTestCaseJ4.IValsPercent, SolrTestCaseJ4.SuppressObjectReleaseTracker, SolrTestCaseJ4.SuppressSSL, SolrTestCaseJ4.SVal, SolrTestCaseJ4.Vals, SolrTestCaseJ4.XmlDoc`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `org.apache.lucene.util.LuceneTestCase.AwaitsFix, org.apache.lucene.util.LuceneTestCase.BadApple, org.apache.lucene.util.LuceneTestCase.Monster, org.apache.lucene.util.LuceneTestCase.Nightly, org.apache.lucene.util.LuceneTestCase.Slow, org.apache.lucene.util.LuceneTestCase.SuppressCodecs, org.apache.lucene.util.LuceneTestCase.SuppressFileSystems, org.apache.lucene.util.LuceneTestCase.SuppressFsync, org.apache.lucene.util.LuceneTestCase.SuppressReproduceLine, org.apache.lucene.util.LuceneTestCase.SuppressSysoutChecks, org.apache.lucene.util.LuceneTestCase.SuppressTempFileChecks, org.apache.lucene.util.LuceneTestCase.ThrowingRunnable, org.apache.lucene.util.LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.SolrTestCaseJ4

      `configString, CORE_PROPERTIES_FILENAME, DEFAULT_CONNECTION_TIMEOUT, DEFAULT_TEST_COLLECTION_NAME, DEFAULT_TEST_CORENAME, h, hdfsDataDir, initCoreDataDir, lrf, ONE_ONE, schemaString, solrClassRules, solrConfig, solrTestRules, sslConfig, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_MERGEPOLICYFACTORY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICY, SYSTEM_PROPERTY_SOLR_TESTS_USEMERGEPOLICYFACTORY, testSolrHome, ZERO_ONE, ZERO_TWO`

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrTestCaseHS()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Long` | `add(org.apache.solr.client.solrj.SolrClient client, org.apache.solr.common.SolrInputDocument sdoc, org.apache.solr.common.params.ModifiableSolrParams params)` Adds a document using the specific client, or to the local test core if null.
    `static void` | `assertJQ(org.apache.solr.client.solrj.SolrClient client, org.apache.solr.common.params.SolrParams args, String... tests)` Pass "null" for the client to query the local server
    `static void` | `clearQueryCache()` public static void clearNCache() { SolrQueryRequest req = req(); req.getSearcher().getnCache().clear(); // OFF-HEAP req.close(); }
    `static void` | `compare(org.apache.solr.request.SolrQueryRequest req, String path, Object model, Map<Comparable,SolrTestCaseJ4.Doc> fullModel)`
    `static Object` | `createDocObjects(Map<Comparable,SolrTestCaseJ4.Doc> fullModel, Comparator sort, int rows, Collection<String> fieldNames)`
    `static String` | `getJSON(org.apache.solr.client.solrj.SolrClient client, org.apache.solr.common.params.SolrParams params)`
    `static String` | `getQueryResponse(org.apache.solr.client.solrj.SolrClient client, String wt, org.apache.solr.common.params.SolrParams params)`
    `static String` | `getQueryResponse(String wt, org.apache.solr.common.params.SolrParams params)`
    `static void` | `matchJSON(String response, String... tests)`
    `static org.apache.solr.common.params.ModifiableSolrParams` | `params(org.apache.solr.common.params.SolrParams params, String... moreParams)`
    `static <T> T` | `rand(T... vals)`
    `static <T> Set<T>` | `set(T... a)`
    `static Map<String,Object>` | `toObject(SolrTestCaseJ4.Doc doc, org.apache.solr.schema.IndexSchema schema, Collection<String> fieldNames)`

    - ### Methods inherited from class org.apache.solr.SolrTestCaseJ4

      `add, addAndGetVersion, adoc, adoc, assertFailedU, assertFailedU, assertFieldValues, assertJQ, assertJQ, assertQ, assertQ, assertQEx, assertQEx, assertQEx, assertSolrInputFieldEquals, assertU, assertU, assertXmlFile, buildJettyConfig, buildUrl, chooseMPForMP, clearIndex, commit, compareSolrDocument, compareSolrDocumentList, compareSolrInputDocument, configset, copyMinConf, copyMinConf, copyMinFullSetup, copySolrHomeToTemp, createComparator, createComparator, createCore, createCoreContainer, createCoreContainer, createCoreContainer, createDefaultCoreContainer, createDoc, createSort, deleteAndGetVersion, deleteByQueryAndGetVersion, deleteCore, delI, delQ, doc, endTrackingSearchers, getClassName, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getCloudSolrClient, getConcurrentUpdateSolrClient, getConcurrentUpdateSolrClient, getFile, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getHttpSolrClient, getLBHttpSolrClient, getLBHttpSolrClient, getRootCause, getSchemaFile, getSimpleClassName, getSolrConfigFile, getWrappedException, hasInitException, hasInitException, ignoreException, indexDocs, initClassLogLevels, initCore, initCore, initCore, initCore, initMethodLogLevels, invertField, isSSLMode, JQ, json, json, json, jsonAdd, jsonDelId, jsonDelQ, map, newRandomConfig, optimize, params, postSetUp, preTearDown, randomDate, randomSkewedDate, randomXmlUsableUnicodeString, req, req, req, resetExceptionIgnores, resetFactory, restoreMethodLogLevels, sdoc, sdocs, setUp, setupNoCoreTest, setupTestCases, skewed, startTrackingSearchers, systemClearPropertySolrTestsMergePolicy, systemClearPropertySolrTestsMergePolicyFactory, systemSetPropertySolrTestsMergePolicy, systemSetPropertySolrTestsMergePolicyFactory, tearDown, teardownTestCases, TEST_HOME, TEST_PATH, toJSON, unchooseMPForMP, unIgnoreException, updateJ, useFactory, waitForWarming, whitespaceMockTokenizer, whitespaceMockTokenizer, writeCoreProperties, writeCoreProperties`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertFieldsEquals, assertFieldStatisticsEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, atLeast, atLeast, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, expectThrows, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrTestCaseHS

          public SolrTestCaseHS()

  - ### Method Detail

    - #### set

          @SafeVarargs
          public static <T> Set<T> set(T... a)

    - #### rand

          public static <T> T rand(T... vals)

    - #### params

          public static org.apache.solr.common.params.ModifiableSolrParams params(org.apache.solr.common.params.SolrParams params,
                                                                                  String... moreParams)

    - #### toObject

          public static Map<String,Object> toObject(SolrTestCaseJ4.Doc doc,
                                                    org.apache.solr.schema.IndexSchema schema,
                                                    Collection<String> fieldNames)

    - #### createDocObjects

          public static Object createDocObjects(Map<Comparable,SolrTestCaseJ4.Doc> fullModel,
                                                Comparator sort,
                                                int rows,
                                                Collection<String> fieldNames)

    - #### compare

          public static void compare(org.apache.solr.request.SolrQueryRequest req,
                                     String path,
                                     Object model,
                                     Map<Comparable,SolrTestCaseJ4.Doc> fullModel)
                              throws Exception

      Throws:
        `Exception`

    - #### assertJQ

          public static void assertJQ(org.apache.solr.client.solrj.SolrClient client,
                                      org.apache.solr.common.params.SolrParams args,
                                      String... tests)
                               throws Exception

      Pass "null" for the client to query the local server
      Throws:
        `Exception`

    - #### matchJSON

          public static void matchJSON(String response,
                                       String... tests)
                                throws Exception

      Throws:
        `Exception`

    - #### clearQueryCache

          public static void clearQueryCache()

      public static void clearNCache() { SolrQueryRequest req = req(); req.getSearcher().getnCache().clear(); // OFF-HEAP req.close(); }

    - #### getQueryResponse

          public static String getQueryResponse(org.apache.solr.client.solrj.SolrClient client,
                                                String wt,
                                                org.apache.solr.common.params.SolrParams params)
                                         throws Exception

      Throws:
        `Exception`

    - #### getQueryResponse

          public static String getQueryResponse(String wt,
                                                org.apache.solr.common.params.SolrParams params)
                                         throws Exception

      Throws:
        `Exception`

    - #### getJSON

          public static String getJSON(org.apache.solr.client.solrj.SolrClient client,
                                       org.apache.solr.common.params.SolrParams params)
                                throws Exception

      Throws:
        `Exception`

    - #### add

          public static Long add(org.apache.solr.client.solrj.SolrClient client,
                                 org.apache.solr.common.SolrInputDocument sdoc,
                                 org.apache.solr.common.params.ModifiableSolrParams params)
                          throws Exception

      Adds a document using the specific client, or to the local test core if null. Returns the version. TODO: work in progress... version not always returned.
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.